## org.apache.batik.ext.awt.image
Interface ComponentTransferFunction

All Known Implementing Classes:
  ConcreteComponentTransferFunction

public interface ComponentTransferFunction

Defines the interface expected from a component transfer function.

Field Summary
`static int` `DISCRETE`
`static int` `GAMMA`
`static int` `IDENTITY` The various transfer types
`static int` `LINEAR`
`static int` `TABLE`

Method Summary
`float` `getAmplitude()` Returns the amplitude value for this transfer function
`float` `getExponent()` Returns the exponent value for this transfer function
`float` `getIntercept()` Returns the intercept value for this transfer function
`float` `getOffset()` Returns the offset value for this transfer function
`float` `getSlope()` Returns the slope value for this transfer function
`float[]` `getTableValues()` Returns the table values for this transfer function
`int` `getType()` Returns the type of this transfer function

Field Detail

### IDENTITY

    public static final int IDENTITY

  The various transfer types

  See Also:
    Constant Field Values

### TABLE

    public static final int TABLE

See Also:
  Constant Field Values

### DISCRETE

    public static final int DISCRETE

See Also:
  Constant Field Values

### LINEAR

    public static final int LINEAR

See Also:
  Constant Field Values

### GAMMA

    public static final int GAMMA

See Also:
  Constant Field Values

Method Detail

### getType

    public int getType()

  Returns the type of this transfer function

### getSlope

    public float getSlope()

  Returns the slope value for this transfer function

### getTableValues

    public float[] getTableValues()

  Returns the table values for this transfer function

### getIntercept

    public float getIntercept()

  Returns the intercept value for this transfer function

### getAmplitude

    public float getAmplitude()

  Returns the amplitude value for this transfer function

### getExponent

    public float getExponent()

  Returns the exponent value for this transfer function

### getOffset

    public float getOffset()

  Returns the offset value for this transfer function

Copyright © 2004 Apache Software Foundation. All Rights Reserved.